## inoticoming 0.2.2

=== debian/changelog ===
inoticoming (0.2.2-1) unstable; urgency=low

  * new cleanup release
  * modernize Debian packaging
  - debhelper compatibility to 7
  - standards-version to 3.9.1
  - use dpkg-buildflags (and build-depend on new enough dpkg-dev)
  * drop inotify dependencies and change architecture to linux-any

 -- Bernhard R. Link <brlink@debian.org>  Fri, 04 Mar 2011 14:51:13 +0100

inoticoming (0.2.1-2) unstable; urgency=low

  * maintenance upload, no software changes
  - remove pre-lenny DEB_BUILD_OPTIONS work-around
  - remove pre-lenny alternate build-dependencies
  - no longer use random CPPFLAGS from environment
  - bump Standards-Version to 3.8.1 (no changes needed)
  - update Vcs-Browser information to alioth change (Closes: 528302)

 -- Bernhard R. Link <brlink@debian.org>  Wed, 03 Jun 2009 18:03:16 +0200

inoticoming (0.2.1-1) unstable; urgency=low

  * update Vcs-Cvs field to debcheckout understandable format (Closes: 465923)
  * add example cronjon and example init script (Closes: 487700)
  * bump Standards-Version to 3.8.0

 -- Bernhard R. Link <brlink@debian.org>  Thu, 26 Jun 2008 20:47:51 +0200

inoticoming (0.2.0-3) unstable; urgency=low

  * next try to get the build-dependencies right...

 -- Bernhard R. Link <brlink@debian.org>  Tue, 12 Feb 2008 20:56:23 +0100

inoticoming (0.2.0-2) unstable; urgency=low

  * Update build-depends to supplier of sys/inotify.h (Closes: 464707)
  * increase Standards-Version to 3.7.3
  * add Vcs- Fields to debian/control

 -- Bernhard R. Link <brlink@debian.org>  Sat,  9 Feb 2008 16:33:07 +0100

inoticoming (0.2.0-1) unstable; urgency=low

  * new --initialsearch function to first process files already there
    (Closes: 438565)

 -- Bernhard R. Link <brlink@debian.org>  Sat, 18 Aug 2007 15:48:34 +0200

inoticoming (0.1.1-1) unstable; urgency=low

  * make stdout line buffered in --foreground mode
  * fix another misspelling ("forground") (Closes: 433151)

 -- Bernhard R. Link <brlink@debian.org>  Wed, 25 Jul 2007 11:23:41 +0200

inoticoming (0.1.0-1) unstable; urgency=low

  * fix manpage, thanks to Robert Edmonds (Closes: 432464)
  * add --prefix and --suffix options

 -- Bernhard R. Link <brlink@debian.org>  Wed, 11 Jul 2007 10:34:33 +0200

inoticoming (0.0.1-1) unstable; urgency=low

  * Initial release (Closes: #430406)

 -- Bernhard R. Link <brlink@debian.org>  Sun, 24 Jun 2007 13:41:58 +0200
