=== debian/control ===
Source: inoticoming
Section: utils
Priority: extra
Maintainer: Bernhard R. Link <brlink@debian.org>
Build-Depends: debhelper (>= 7), dpkg-dev (>= 1.15.7~)
Standards-Version: 3.9.1
Vcs-Browser: http://git.debian.org/?p=mirrorer/inoticoming.git;a=shortlog;h=refs/heads/debian
Vcs-Git: git://git.debian.org/mirrorer/inoticoming.git --branch debian

Package: inoticoming
Architecture: linux-any
Suggests: reprepro (>= 2.2.2-1)
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: trigger actions when files hit an incoming directory
 inoticoming is a daemon to watch a directory with Linux's inotify
 framework and trigger actions once files with specific names are placed
 in there.
 .
 For example it can be used to wait for .changes files uploaded
 into a directory and call reprepro to put them into your repository.
