## inoticoming 0.2.3

=== debian/changelog ===
inoticoming (0.2.3-2) unstable; urgency=low

  * new maintenance upload
  - increase debhelper compatibility level to 10
  - add hardening=+all
  - bump Standards-Version
  - drop outdated Vcs- fields, watch file
  - move frome extra to optional
  - drop suggests of reprepro

 -- Bernhard R. Link <brlink@debian.org>  Sun, 27 Jan 2019 17:39:34 +0100

inoticoming (0.2.3-1) unstable; urgency=low

  * new maintenance release
  - improve init.d example (Closes: 637173)
  * change Standards-Version to 3.9.3, no changed needed

 -- Bernhard R. Link <brlink@debian.org>  Thu, 05 Apr 2012 14:01:03 +0200
