=== debian/control ===
Source: inoticoming
Section: utils
Priority: optional
Maintainer: Bernhard R. Link <brlink@debian.org>
Build-Depends: debhelper (>= 10)
Standards-Version: 4.3.0

Package: inoticoming
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: trigger actions when files hit an incoming directory
 inoticoming is a daemon to watch a directory with Linux's inotify
 framework and trigger actions once files with specific names are placed
 in there.
 .
 For example it can be used to wait for .changes files uploaded
 into a directory and call reprepro to put them into your repository.
